Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 886520 - Create ISCSI LUN Disk: Connection details should be mandatory
Summary: Create ISCSI LUN Disk: Connection details should be mandatory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.1.2
Assignee: Ori Liel
QA Contact: Jakub Libosvar
URL:
Whiteboard: storage
Depends On: 864840 869596
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-12 13:35 UTC by Idith Tal-Kohen
Modified: 2016-02-10 16:59 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the REST API allowed you to define an ISCSI LUN without passing connection information. This created a confusing experience for RHEV users: sometimes disk creation succeeded when only an ID had been provided, but sometimes it didn't. The user had no way of knowing how to troubleshoot the problem when the disk wasn't created. In order to remedy this problem, a step was added in the API layer making certain that connection details are always provided for ISCSI LUN disk creation.
Clone Of: 864840
Environment:
Last Closed: 2013-02-04 23:35:19 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0211 0 normal SHIPPED_LIVE Moderate: rhevm 3.1.2 security and bug fix update 2013-02-05 04:53:00 UTC
oVirt gerrit 8997 0 None None None Never

Comment 2 Michael Pasternak 2012-12-27 12:02:29 UTC
http://gerrit.ovirt.org/#/c/8997/

Comment 5 Jakub Libosvar 2013-01-15 09:45:46 UTC
Verified with rhevm-3.1.0-41.el6ev.noarch

Comment 7 errata-xmlrpc 2013-02-04 23:35:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0211.html


Note You need to log in before you can comment on or make changes to this bug.